#include <windows.h>

class CHelloCF : public IClassFactory 
{
  public:
    CHelloCF(); 
 	
    STDMETHOD(QueryInterface)(REFIID riid, void FAR* FAR* ppv);
    STDMETHOD_(ULONG, AddRef)(void);
    STDMETHOD_(ULONG, Release)(void);

    STDMETHOD(CreateInstance)(	IUnknown FAR*, REFIID, void FAR* FAR*);
    STDMETHOD(LockServer)(BOOL fLock);

  private:
    ULONG m_RefCount ;
};


